class GeneralGetReqForSOAP {
  int? patientMRN;
  int? appointmentNo;
  int? episodeId;
  dynamic editedBy;
  dynamic doctorID;

  GeneralGetReqForSOAP({
    this.patientMRN,
    this.appointmentNo,
    this.episodeId,
    this.doctorID,
    this.editedBy,
  });

  GeneralGetReqForSOAP.fromJson(Map<String, dynamic> json) {
    patientMRN = json['PatientMRN'];
    appointmentNo = json['AppointmentNo'];
    episodeId = json['EpisodeId'];
    doctorID = json['DoctorID'];
    editedBy = json['EditedBy'];
  }

  Map<String, dynamic> toJson() {
    final Map<String, dynamic> data = new Map<String, dynamic>();
    data['PatientMRN'] = this.patientMRN;
    data['AppointmentNo'] = this.appointmentNo;
    data['EpisodeId'] = this.episodeId;
    data['DoctorID'] = this.doctorID;
    data['EditedBy'] = this.editedBy;

    return data;
  }
}
